# ************************************************************
# Sequel Pro SQL dump
# Version 3408
#
# http://www.sequelpro.com/
# http://code.google.com/p/sequel-pro/
#
# Host: localhost (MySQL 5.1.44)
# Database: universitystarnet
# Generation Time: 2012-01-28 17:06:28 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table tbl_batch
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_batch`;

CREATE TABLE `tbl_batch` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `stream_id` int(11) NOT NULL,
  `name` varchar(255) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `stream_id` (`stream_id`),
  CONSTRAINT `tbl_batch_ibfk_1` FOREIGN KEY (`stream_id`) REFERENCES `tbl_stream` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `tbl_batch` WRITE;
/*!40000 ALTER TABLE `tbl_batch` DISABLE KEYS */;

INSERT INTO `tbl_batch` (`id`, `stream_id`, `name`)
VALUES
	(1,1,'2009'),
	(2,2,'2011');

/*!40000 ALTER TABLE `tbl_batch` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_deptt
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_deptt`;

CREATE TABLE `tbl_deptt` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `university_id` int(11) NOT NULL,
  `name` varchar(255) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `university_id` (`university_id`),
  CONSTRAINT `tbl_deptt_ibfk_1` FOREIGN KEY (`university_id`) REFERENCES `tbl_university` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `tbl_deptt` WRITE;
/*!40000 ALTER TABLE `tbl_deptt` DISABLE KEYS */;

INSERT INTO `tbl_deptt` (`id`, `university_id`, `name`)
VALUES
	(1,1,'APPLIED SCIENCES'),
	(2,1,'ARTS & SOCIAL SCIENCES'),
	(3,1,'ECONOMICS & BUSINESS'),
	(4,1,'ENGINEERING & TECHNOLOGY'),
	(5,1,'HUMANITIES & RELIGIOUS STUDIES'),
	(6,1,'LANGUAGES'),
	(7,1,'LAWS'),
	(8,1,'LIFE SCIENCES'),
	(9,1,'PHYSICAL EDUCATION');

/*!40000 ALTER TABLE `tbl_deptt` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_stream
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_stream`;

CREATE TABLE `tbl_stream` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `deptt_id` int(11) NOT NULL,
  `name` varchar(255) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `deptt_id` (`deptt_id`),
  CONSTRAINT `tbl_stream_ibfk_1` FOREIGN KEY (`deptt_id`) REFERENCES `tbl_deptt` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `tbl_stream` WRITE;
/*!40000 ALTER TABLE `tbl_stream` DISABLE KEYS */;

INSERT INTO `tbl_stream` (`id`, `deptt_id`, `name`)
VALUES
	(1,4,'CSE'),
	(2,1,'Physics');

/*!40000 ALTER TABLE `tbl_stream` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_university
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_university`;

CREATE TABLE `tbl_university` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET latin1 NOT NULL,
  `city` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `parent_id` int(5) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `tbl_university` WRITE;
/*!40000 ALTER TABLE `tbl_university` DISABLE KEYS */;

INSERT INTO `tbl_university` (`id`, `name`, `city`, `parent_id`)
VALUES
	(1,'GNDU','Amritsar',NULL),
	(2,'ACET','Amritsar',NULL);

/*!40000 ALTER TABLE `tbl_university` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
